
/*
Theme Name: Reboot Child
Theme URI: https://wpshop.ru/themes/reboot
Author: WPShop.biz
Author URI: http://wpshop.biz/
Template: reboot
Version: 1.0.0
*/

/* Below you can add your CSS styles */
/* Ниже Вы можете добавить свои CSS стили */


#download {text-align: center;
padding-top: 20px;
background-color: #fff;
border-radius: 18px;
padding-bottom: 20px;}

.background-li {
  background: #A8ABAC;
  border: 1px solid #E0E5E9;
}
.background-li:hover img { 
  opacity: 0.7; 
}

#download a{
font-size: 1.3em;
background: rgb(61, 186, 96) no-repeat left;
color: rgb(255, 255, 255) !important;
text-decoration: none;
    line-height: 2.7em;
display: block;}

#download a:hover {
background: rgb(55, 159, 84) no-repeat left;
}


.download-text {font-weight: bold;
padding-bottom: 5px;
font-size: 13px;}

.download-text img{
width: 35px;
height: auto;
border-radius: 10px;
    margin-left: 10px;}

a.kcc-edit-link {text-decoration: none !important;
background: none !important;}

.info-container a {
  background: none !important;
}

.razmer, .opublikovano, .zagruzok {font-size: 14px;
color: #575757;}

.gallery-top {
display: flex;
overflow-x: auto;
padding-left: 0px;}

.gallery-top li {list-style-type: none;
padding-right: 15px;}

.gallery-top img {
height: 200px;
max-width: none;}


.header-html-1, .header-html-2 {width: 100%;}
.search-form .search-field {background-color: #F0F0F0;
  border-radius: 5px;
}

.post-card__thumbnail a::before {background: none !important;}


/*----------------------- Удалить две строчки при добавлении меню ------------------------------ */

.site-footer-container {box-shadow: 0 0 3px 0 rgba(0,0,0,.15);} 
.home-content {margin-top: 0px;}



.page-template-template-tags-php h4 {font-weight: bold; text-transform: uppercase;}
.page-template-template-tags-php .hentry-content {width: 100%; overflow: hidden;}
.page-template-template-tags-php .hentry-content .tags {width: 100%;}
.page-template-template-tags-php .hentry-content ul {list-style: none; margin: 0 0 15px 0;}
.page-template-template-tags-php .hentry-content ul li {color: #898989;}
.page-template-template-tags-php .hentry-content .column {width: 30%; float: left; margin-right: 20px;}
.hentry-content clear .tags a {text-decoration: none; line-height: 1.8em;}


.wpshoplightbox-image img {max-width: 800px;
max-height: 800px;}

.material-image {
  display: none;
}

.h1, h1:not(.site-title) {font-weight: 500;}

.comment-reply-title, .comments-title, .h1, .h2, .h3, .h4, .h5, .h6, .related-posts__header, .section-block__title, h1, h2, h3, h4, h5, h6 {
  font-weight: 500;
}


.shapka a {border: 1px solid #3DBA60;
border-radius: 5px;
padding: 10px;
color: #fff;
text-decoration: none;
background-color: #3DBA60;}

.shapka a:hover {background: #379F54;
color: #fff;}

.skach a {
  color: #fff !important;
}

@media (max-width: 767px) {
    .preload-img {width: 100%; float: none;} 
    .preload-table {width: 100%; float: none;}
    .shapka {text-align: center;}
    .preload-div {display: block; float: none;}
    .alignright {
      float: none;
      display: block;
      margin-left: auto;
    margin-right: auto;
    }
}

.top-menu ul li a {
  text-transform: uppercase;
  color:#ffffff;
  border: 1px solid #fff;
  padding: 10px;
  display: block;}
  
.top-menu ul li a:focus, .top-menu ul li a:hover {
  background: linear-gradient(to right, #FFA500, #FF0000);
  border: 1px solid #fff;}
  
.top-menu ul li .removed-link {
  background: linear-gradient(to right, #FFA500, #FF0000);
  text-transform: uppercase;
  color:#ffffff;
  border: 1px solid #fff;
  padding: 10px;
  display: block;}

  .top-menu > ul > li > a::before, .top-menu > ul > li > span::before {
    display: none;
  } 

.js-humburger span { background: #fff; }


.comment-reply-title, .comments-title, .h1, .h2, .h3, .h4, .h5, .h6, .related-posts__header, .section-block__title, h1, h2, h3, h4, h5, h6 {color: #FFD700;}

.btn {
  background: linear-gradient(to right, #FFA500, #FF0000); /* Градиент от оранжевого к красному */
  color: #FFFFFF; /* Белый текст */
  padding: 15px 30px; /* Внутренние отступы */
  border: none; /* Убираем рамку */
  border-radius: 5px; /* Скругляем углы */
  cursor: pointer; /* Курсор в виде "руки" при наведении */
  font-size: 16px; /* Размер шрифта */
  text-align: center; /* Выравнивание текста по центру */
  transition: all 0.3s ease; /* Плавный переход всех стилей за 0.3 секунды */
  background-size: 200% 100%; /* Увеличиваем размер градиента для анимации */
  position: relative; /* Относительное позиционирование для дочернего элемента */
  overflow: hidden; /* Скрыть переполнение */
  min-width: 300px;
  font-size: 20px;
  font-weight: 600;
  margin: 10px;
}

.btn:hover {
  background: linear-gradient(to right, #FF8C00, #FF4500); /* Немного другой градиент для эффекта */
  transform: scale(1.05); /* Увеличиваем кнопку на 5% */
}


.btn::before {
  content: "";
  position: absolute;
  top: -50%;
  bottom: -50%;
  background: linear-gradient(90deg, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.6) 100%);
  width: 45px;
  transform: skewX(-22deg);
  left: -65%;
  opacity: 0.5;
  pointer-events: none;
  -webkit-user-select: none;
  animation-name: blick;
  animation-duration: 3s;
  animation-iteration-count: infinite;
}


@keyframes blick {
  0% {
    left: -65%;
  }
  100% {
    left: 100%;
  }
}

.table-of-contents {background: #262626;}

.table-of-contents__header {color: #FFD700;}

tr:nth-child(2n) {
  background-color: #333333;
}

.entry-content table th, .home-text table th, .taxonomy-description table th {background: #FFD700;
  color: #262626;}


  @media (min-width: 768px) {
    .humburger {display: none !important;}
  }

::selection {
      background-color: #FFD700 !important;  /* Золотистый фон */
      color: #000000;  /* Черный текст */
}
.topblok {
  background-color: #020202;
  border-bottom: 1px solid #fff;
  }


   .h1, h1:not(.site-title) {font-weight: bold;
    margin-bottom: 5px;
    text-align: center;}

    .max {
      font-size: 18px;
      font-weight: bold;
      padding-bottom: 10px;
      display: block;
    }
    .zerkalo {
      display: block;
      padding-bottom: 20px;
      padding-top: 10px;
      color: #ccc;
    }  


  .whengame {
    background-color: #141414;
    padding: 50px;
    border-bottom: 1px solid #fff;
    align-items: center;
    }

.silver {background: linear-gradient(to right, #A9A9A9, #C0C0C0, #A9A9A9);
  color: #020202;
}

.silver:hover {background: linear-gradient(to right, #C0C0C0, #A9A9A9, #C0C0C0); /* Немного другой градиент для эффекта */
  transform: scale(1.05); /* Увеличиваем кнопку на 5% */}

  .site-header {margin-bottom: 0px;} 

/* Для десктопов */
.topblok {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-left: 40px;
  padding-right: 40px;
}

.upper-row {
  display: flex;
  width: 100%;
}

.left-col, .right-col {
  display: flex;
  flex-direction: column;
}

.left-col {
  width: 70%;
}

.right-col {
  width: 30%;
}

@media only screen and (max-width: 768px) {
  .upper-row {
    display: flex;
    flex-direction: column;
    align-items: start;
  }

  .upper-row, .left-col, .right-col, .entry-title, .preload-img, .textblock {
    text-align: center; /* Центрируем текст */
    margin: auto; /* Центрируем блоки */
  }
  .left-col, .right-col {
    display: block; /* Делаем блоки блочными, чтобы они занимали всю ширину */
  }

  .left-col, .right-col {
    display: contents;
  }

  .entry-title {
    order: 1;
  }

  .preload-img {
    order: 2;
  }

  .textblock {
    order: 3;
  }
}

.upper-row {
  margin: 20px; /* добавляем отступы вокруг верхнего ряда */
}

.left-col, .right-col {
  padding: 15px; /* добавляем отступы внутри колонок */
}

.preload-img img {
  max-width: 250px; /* ограничиваем максимальную ширину изображения до 250px */
  padding-top: 10px;
  padding-bottom: 10px;
  margin: auto;
  border-radius: 30px;
}

.preload-img {
  margin: auto;
}

/* Стили для больших экранов */
@media (min-width: 769px) {
  .left-col {
    display: flex;
    flex-direction: column; /* Потому что мы хотим выровнять дочерние элементы вертикально */
    justify-content: center; /* Центрируем содержимое по вертикали */
  }

  .right-col {
    display: flex;
    flex-direction: column; /* Потому что мы хотим выровнять дочерние элементы вертикально */
    justify-content: center; /* Центрируем содержимое по вертикали */
  }
}

.comment-reply-title, .comments-title, .h1, .h2, .h3, .h4, .h5, .h6, .related-posts__header, .section-block__title, h1, h2, h3, h4, h5, h6 {margin: 1.5em 0 1em;}

.entry-content blockquote, .home-text blockquote, .taxonomy-description blockquote {background: none; border: 3px solid;}

.card-slider-container + .site-content, .mobile-menu-placeholder + .site-content {
  margin-top: 0px;
}
